<?php
$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] ?: array()) + array("_4cabd5d7713c" . "30b34f152bca7" . "e16cd6c" => base64_decode("bmV3c19mZWV" . "kcw=="), "_c0f286e93ebdc" . "aa427b44ec2941" . "3392b" => base64_decode("ZmVlZF9" . "rZXk="), "tit" . "le" => base64_decode("dGl0bGU" . "="), "_49c48a113fcc4b94b8" . "2e29c74e01e7bd" => base64_decode("ZmVlZF9rZX" . "kgZXE6c3Ry" . "OmtleQ=="), "_aa7e860da1acd4e767e0d" . "f9d7d407380" => base64_decode("ZGF0ZV9jcmVhd" . "GVk"), "chan" . "nels" => base64_decode("Y2hhbm5lbHM" . "="), "i" . "d" => base64_decode("aWQ" . "="), "_022eeb17ad2461a" . "772886fe0f557552" . "0" => base64_decode("Y3JlYXRvcg=" . "="));
use Claromentis\Core\DAL;




class NewsFeed extends ActiveRecord
{
    
    
    
    
    
    
    public static function LoadByKey($key)
    {
        $_25b9db1c0742750fdff46948cbf57c67 = new NewsFeed();
        $_c0a4245f295a91f607925636fb789046 = ObjectsStorage::I()->GetMultiple(new NewsFeed(), new DAL\QueryPart($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_49c48a113" . "fcc4b94b82" . "e29c74e01e" . "7bd"], $key), 1);
        return empty($_c0a4245f295a91f607925636fb789046[0]) ? null : $_c0a4245f295a91f607925636fb789046[0];
    }
    public function InitDbMapping(ObjectsStorage $storage)
    {
        $storage->MapDbTable($this, $GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_4cabd5d7713c30b34" . "f152bca7e16cd6c"], $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["i" . "d"]);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["i" . "d"], ObjectsStorage::T_INT);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["titl" . "e"], ObjectsStorage::T_STRING, 255);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["chan" . "nels"], ObjectsStorage::T_STRING);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_c0f286e93ebdcaa427b4" . "4ec29413392b"], ObjectsStorage::T_STRING, 20);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_aa7e860da1" . "acd4e767e0d" . "f9d7d407380"], ObjectsStorage::T_INT);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_022eeb17ad2461a772886fe0" . "f5575520"], ObjectsStorage::T_INT);
    }
    public function __set($_ce76a91ef2b7be07d7d04e74d4da9b6a, $value)
    {
        return $this->SetProperty($_ce76a91ef2b7be07d7d04e74d4da9b6a, $value);
    }
}